<template>
	<view>
		<view class="goodsManageList">
			<view class="item" v-for="(item, index) in list" :key="index">
				<view class="top">
					<view class="title omit">{{ item.cooperativeName }}</view>
				</view>
				<view class="con">
					<view class="flex fs">
						<view class="f">
							<view class="tag">订单编号</view>
							<view class="v omit">{{ item.orderNo }}</view>
						</view>
						<view class="f">
							<view class="tag">总金额</view>
							<view class="v omit" style="color: coral;">￥{{ item.totalPrice }}</view>
						</view>
					</view>
					<view class="tradeAreaName">{{ item.tradeAreaName }}</view>
					<view class="date">创建于：{{ item.createTime }}</view>
				</view>
				<view class="op">
					<view class="flex">
						<view class="f" style="color: #0081ff" @click.stop="peopleOrders(item.id)">
							<text>边民订单</text>
						</view>
					</view>
				</view>
				<view class="clear"></view>
			</view>
			<view class="loading" v-if="loadMore"><u-loadmore :status="loadMore ? 'loading' : 'nomore'" /></view>
			<u-empty v-if="!loadMore && list.length == 0"></u-empty>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				list: [],
				loadMore: false,
			};
		},
		onLoad() {
			this.getData();
		},
		methods: {
			getData() {
				this.http.request({
					url: '/level-one-server/app/TbCollageOrders/getList',
					loading: 'false',
					data: this.param,
					success: res => {
						this.list.push(...res.data.data);
					}
				});
			},
			peopleOrders(id) {
				uni.navigateTo({ url: '/pages/market/one/cooperative/peopleOrders?collageOrdersId=' + id });
			}
		}
	}
</script>

<style lang="scss">

</style>
